Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Interface HTMLFieldRenderer

All Known Implementing Classes:
  HTMLFieldRendererImpl

public interface HTMLFieldRenderer

The `HTMLFieldRenderer` interface defines the set of functions to be implemented by a field renderer. If you are creating a field renderer for use in the `oracle.jbo.html.databeans.EditCurrentRecord` Data Web Bean, you can avoid implementing all of the methods by extending your field renderer class from the `HTMLFieldRendererImpl` class. The only method you need to override is `populateForm()`.

Method Summary
`java.lang.String` | `getCSSClassName()` Gets the name of the CSS (cascading style sheet) used by this field.
`int` | `getDisplayHeight()` Gets the display height, in characters, of this field.
`int` | `getDisplayWidth()` Gets the display width, in characters, of this field.
`java.lang.String` | `getFieldName()` Gets this FORM field's name.
`java.lang.String` | `getFormName()`
`int` | `getMaxDataLength()` Gets the maximum input length, in characters, of this field.
`java.lang.String` | `getPromptText()` Gets the prompt to be displayed next to this input field.
`java.lang.String` | `getValue()` Gets this field's current value.
`java.lang.String` | `renderToString(HTMLRenderingContext ctx, RowSet rs, Row row, java.lang.String sAttribute)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
`void` | `setCSSClassName(java.lang.String sClass)` Sets the CSS (cascading style sheet) class name to be used by this field.
`void` | `setDisplayHeight(int nHeight)` Sets the display height, in characters, of this field.
`void` | `setDisplayWidth(int nWidth)` Sets the display width, in characters, of this field.
`void` | `setFieldName(java.lang.String sName)` Sets this FORM field's name.
`void` | `setFormName(java.lang.String sForm)`
`void` | `setMaxDataLength(int nLength)` Sets the maximum input length, in characters, of this field.
`void` | `setPromptText(java.lang.String sPrompt)` Sets the prompt to be displayed next to this input field.
`void` | `setValue(java.lang.String sValue)` Sets this field's current value.

Method Detail

### setFieldName

    public void setFieldName(java.lang.String sName)

  Sets this FORM field's name. This will be the name of the input parameter when the HTML form is submitted.

  Parameters:
    `sName` - name of this FORM field.

### getFieldName

    public java.lang.String getFieldName()

  Gets this FORM field's name. This will be the name of the input parameter when the HTML form is submitted.

  Returns:
    this FORM field's name.

### setDisplayWidth

    public void setDisplayWidth(int nWidth)

  Sets the display width, in characters, of this field.

  Parameters:
    `nWidth` - the display width, in characters.

### getDisplayWidth

    public int getDisplayWidth()

  Gets the display width, in characters, of this field.

  Returns:
    the display width, in characters.

### setDisplayHeight

    public void setDisplayHeight(int nHeight)

  Sets the display height, in characters, of this field.

  Parameters:
    `nHeight` - the display height, in characters.

### getDisplayHeight

    public int getDisplayHeight()

  Gets the display height, in characters, of this field.

  Returns:
    the display height, in characters.

### setMaxDataLength

    public void setMaxDataLength(int nLength)

  Sets the maximum input length, in characters, of this field. The user will not be able to enter more than `nLength` characters.

  Parameters:
    `nLength` - the maximum input length, in characters.

### getMaxDataLength

    public int getMaxDataLength()

  Gets the maximum input length, in characters, of this field. This is the maximum number of characters the user can enter in the field.

  Returns:
    the maximum input length, in characters.

### setPromptText

    public void setPromptText(java.lang.String sPrompt)

  Sets the prompt to be displayed next to this input field.

  Parameters:
    `sPrompt` - the prompt for this input field.

### getPromptText

    public java.lang.String getPromptText()

  Gets the prompt to be displayed next to this input field.

  Returns:
    the prompt displayed next to this input field.

### setCSSClassName

    public void setCSSClassName(java.lang.String sClass)

  Sets the CSS (cascading style sheet) class name to be used by this field. You can the use this class name in your CSS file to change the visual attributes of the field.

  Parameters:
    `sClass` - the class name of the CSS.

### getCSSClassName

    public java.lang.String getCSSClassName()

  Gets the name of the CSS (cascading style sheet) used by this field.

  Returns:
    the class name of the CSS.

### setValue

    public void setValue(java.lang.String sValue)

  Sets this field's current value.

  Parameters:
    `sValue` - current value of this field.

### getValue

    public java.lang.String getValue()

  Gets this field's current value.

  Returns:
    this field's current value.

### renderToString

    public java.lang.String renderToString(HTMLRenderingContext ctx,
                                           RowSet rs,
                                           Row row,
                                           java.lang.String sAttribute)

  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.

### setFormName

    public void setFormName(java.lang.String sForm)

### getFormName

    public java.lang.String getFormName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD